## Send a test event `client.webhooks.ping(stringwebhookID, WebhookPingParamsparams?, RequestOptionsoptions?): WebhookPingResponse` **post** `/v2/webhooks/{teamId}/{webhookId}/ping` Fire-and-forget test delivery through the async dispatcher. The webhook must be enabled and verified. ### Parameters - `webhookID: string` - `params: WebhookPingParams` - `teamId?: string` Path param - `data?: Record` Body param: Arbitrary JSON payload body. - `event?: string` Body param: Event name to send. ### Returns - `WebhookPingResponse` - `dispatched: boolean` - `event: string` - `webhook_id: string` ### Example ```typescript import Micro from '@micro-so/sdk'; const client = new Micro({ teamID: 'My Team ID', apiKey: process.env['MICRO_API_KEY'], // This is the default and can be omitted }); const response = await client.webhooks.ping('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e'); console.log(response.webhook_id); ``` #### Response ```json { "dispatched": true, "event": "event", "webhook_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e" } ```